summaryrefslogtreecommitdiff
path: root/src/target_skeleton/etc/init.d/S40network
diff options
context:
space:
mode:
authorAbdoulaye Walsimou Gaye <walsimou@walsimou.com>2009-05-12 02:46:17 +0200
committerAbdoulaye Walsimou Gaye <walsimou@walsimou.com>2009-05-12 02:46:17 +0200
commit8c0ea1194bc0905926fb9e211c3356f2348c7ca7 (patch)
treeba98e07ed70e19ef2b60b5ae3206bcd2ad5f3b51 /src/target_skeleton/etc/init.d/S40network
downloadembtoolkit-8c0ea1194bc0905926fb9e211c3356f2348c7ca7.tar.gz
embtoolkit-8c0ea1194bc0905926fb9e211c3356f2348c7ca7.tar.bz2
embtoolkit-8c0ea1194bc0905926fb9e211c3356f2348c7ca7.tar.xz
Embtoolkit: Fisrt commit
This is the first commit in the embedded system toolkit git repository, formaly embtoolkit. This porject aims to design a tool which helps on building an embedded linux system. The goal of this porject is to use EGLIBC as C Library for linux systems generated. This initial commit is manely just a backup in order to save work done. Signed-off-by: Abdoulaye Walsimou Gaye <walsimou@walsimou.com>
Diffstat (limited to 'src/target_skeleton/etc/init.d/S40network')
-rwxr-xr-xsrc/target_skeleton/etc/init.d/S40network25
1 files changed, 25 insertions, 0 deletions
diff --git a/src/target_skeleton/etc/init.d/S40network b/src/target_skeleton/etc/init.d/S40network
new file mode 100755
index 0000000..ad6d250
--- /dev/null
+++ b/src/target_skeleton/etc/init.d/S40network
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# Start the network....
+#
+
+case "$1" in
+ start)
+ echo "Starting network..."
+ /sbin/ifup -a
+ ;;
+ stop)
+ echo -n "Stopping network..."
+ /sbin/ifdown -a
+ ;;
+ restart|reload)
+ "$0" stop
+ "$0" start
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?
+